Page MenuHomePhabricator

Create projects for tasks whose non-English initial descriptions need translation?
Closed, DeclinedPublic

Description

Related to T43. Dropping the idea here so we won't forget:

When we receive tasks in non-English, we could create projects like "task-in-de", "task-in-fr" etc and have volunteers subscribe to these projects via Herald, so they could translate the task by editing the initial description and removing that project again.
Obviously not Day 1 stuff, more like a nice idea.

Details

Reference
fl360

Event Timeline

flimport raised the priority of this task from to Low.Sep 12 2014, 1:37 AM
flimport set Reference to fl360.
Qgil updated the task description. (Show Details)Nov 27 2014, 12:45 PM
Qgil set Security to None.
Qgil added a project: Project-Admins.
Qgil lowered the priority of this task from Low to Lowest.Dec 1 2014, 7:13 AM
Qgil added a subscriber: Qgil.

This task doesn't need to be pushed by the Phabricator team.

When we receive tasks in non-English

I have not come across a single example that I could remember since migrating to Phabricator in Nov 2014. I have seen tasks though where people stated that they have used Google Translate to report in English.
It might be that people either understand that tasks are currently supposed to be in English or that people simply do not file tasks in Phabricator if they don't feel comfortable writing in English here. (Or to write outside of their wiki in general, regardless of that "Phabricator" website.)

Qgil added a comment.Mar 12 2015, 5:18 PM

When we receive tasks in non-English

I have not come across a single example that I could remember

Well, of course, because English is clearly the only language supported. But we can explore other possibilities, made easier now that we can edit descriptions.

I even wonder what should we do if a Wikimedia chapter requests to use Phabricator for their projects, in their language. Phabricator is for everybody...

I'm very tempted to decline this task for the time being until this is a real issue anymore with a sufficient number of affected tasks that justifies creating such projects. This might be blocked on "Make Phabricator available in localized human languages". See https://secure.phabricator.com/T1139 and https://secure.phabricator.com/T5267

I still have not run into any tasks created with non-English content so I'm afraid the problem does not really exist, plus we have free (as in beer) translation engines on the interwebs nowadays and we could always ask people manually to help translating, without any project creation overhead.

Qgil added a comment.Jul 1 2015, 10:42 AM

Makes sense.

Aklapper closed this task as Declined.Jul 1 2015, 1:15 PM
Aklapper claimed this task.